[postgis-tickets] [SCM] PostGIS Buildbots; Jenkins jobs and instructions for setting up winnie and debbie bots. branch master updated. 78084c6bd70c20ed5e1fe955237d1500e5956a8f

git at osgeo.org git at osgeo.org
Sun Nov 13 12:26:19 PST 2022


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS Buildbots; Jenkins jobs and instructions for setting up winnie and debbie bots.".

The branch, master has been updated
       via  78084c6bd70c20ed5e1fe955237d1500e5956a8f (commit)
      from  d21308e5907d4bd76cd913614bd399ba7458a6f1 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 78084c6bd70c20ed5e1fe955237d1500e5956a8f
Author: Regina Obe <lr at pcorp.us>
Date:   Sun Nov 13 15:26:13 2022 -0500

    First pass at a h3-pg build script

diff --git a/debian/bookkie.txt b/debian/bookkie.txt
new file mode 100644
index 0000000..01a1b20
--- /dev/null
+++ b/debian/bookkie.txt
@@ -0,0 +1,21 @@
+apt install default-jdk openssh-server #for jenkins to connect
+apt install autoconf libtool build-essential
+apt install libreadline8 libreadline-dev zlib1g-dev
+apt install libcunit1-dev libcunit1-doc libcunit1
+apt install docbook
+apt install libxml2-dev xsltproc docbook-xsl docbook-mathml gettext 
+apt install libjson-c-dev
+apt install bison flex #needed to build postgis and postgresql
+apt install libiconv-hook1 
+apt install libproj-dev
+apt install git
+apt install libgeos-dev libproj-dev
+apt install libgdal-dev
+apt install pkg-config
+apt install lz4 liblz4-dev #needed to build postgresql with lz4 support
+apt install postgresql postgresql-server-dev-all #installed postgresql-14
+apt install libpcre2-dev #for address standardizer
+apt install cmake #for geos
+apt install libsfcgal-dev #for postgis_sfcgal
+apt install libprotobuf-dev libprotobuf-c-dev libprotoc-dev protobuf-c-compiler #for mvt support
+apt install nano #general editing
\ No newline at end of file
diff --git a/debian/jenkins_setup.txt b/debian/jenkins_setup.txt
index f93dc9e..a0f9cec 100644
--- a/debian/jenkins_setup.txt
+++ b/debian/jenkins_setup.txt
@@ -107,8 +107,10 @@ which logbt
 logbt --version
 
 
-
-apt install latex-cjk-xcjk #for Korean and Chinese doc PDF translations
+#for Korean, Chinese, Japanese doc PDF translations
+#doesn't work yet
+apt install latex-cjk-xcjk 
+apt install texlive-xetex texlive-fonts-extra texlive-fonts-recommended
 
 --if you need to update jenkins
 aptitude update
diff --git a/windows/mingw64/scripts/build_h3-pg.sh b/windows/mingw64/scripts/build_h3-pg.sh
new file mode 100644
index 0000000..4a427c1
--- /dev/null
+++ b/windows/mingw64/scripts/build_h3-pg.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -e
+#--passed in by Jenkins
+#export OS_BUILD=64
+#export GCC_TYPE=
+#export PG_VER=15
+#export LIBXML_VER=2.7.8
+#export PGPORT=5443
+#export H3PG_VER=
+export PGPATH=${PROJECTS}/postgresql/rel/pg${PG_VER}w${OS_BUILD}${GCC_TYPE}
+export PGPATHEDB=${PGPATH}edb
+export PATH="/mingw/bin:/mingw/include:/mingw/lib:/c/Windows/system32:/bin:/include:/usr/local/bin:/cmake/bin"
+export PATH="${PATH}:${PROJECTS}/zlib/rel-zlib-${ZLIB_VER}w${OS_BUILD}${GCC_TYPE}/bin:${PROJECTS}/zlib/rel-zlib-${ZLIB_VER}w${OS_BUILD}${GCC_TYPE}/lib:${PROJECTS}/zlib/rel-${ZLIB_VER}w${OS_BUILD}${GCC_TYPE}/include:${PROJECTS}/libxml/rel-libxml2-${LIBXML_VER}w${OS_BUILD}${GCC_TYPE}/bin:${PROJECTS}/libxml/rel-libxml2-${LIBXML_VER}w${OS_BUILD}${GCC_TYPE}/lib:${PROJECTS}/libxml/rel-libxml2-${LIBXML_VER}w${OS_BUILD}${GCC_TYPE}/include:${PGPATH}/include:${PGPATH}/bin:/cmake/bin"
+export PGPORT=5452
+export PGUSER=postgres
+export SOURCES=/sources
+cd ${PROJECTS}
+cd h3-pg/h3-pg/
+git clean -fdx
+export INSTALL_DIR=/projects/h3-pg/builds/h3-pg_pg${PG_VER}w${OS_BUILD}-binaries-${H3PG_VER}
+cmake -B build -DCMAKE_BUILD_TYPE=Release
+make
+make install
+rm -rf ${INSTALL_DIR}
+mkdir -p ${INSTALL_DIR}/lib
+mkdir -p ${INSTALL_DIR}/docs
+mkdir -p ${INSTALL_DIR}/share/extension 
+cp ${PGPATH}/lib/h3*.dll ${INSTALL_DIR}/lib
+cp ${PGPATH}/share/extension/h3*.control ${INSTALL_DIR}/share/extension
+cp ${PGPATH}/share/extension/h3*.sql ${INSTALL_DIR}/share/extension
+cp README.md ${INSTALL_DIR}
+cp LICENSE ${INSTALL_DIR}
+cp docs/*.md ${INSTALL_DIR}/docs/
\ No newline at end of file

-----------------------------------------------------------------------

Summary of changes:
 debian/bookkie.txt                     | 21 +++++++++++++++++++++
 debian/jenkins_setup.txt               |  6 ++++--
 windows/mingw64/scripts/build_h3-pg.sh | 33 +++++++++++++++++++++++++++++++++
 3 files changed, 58 insertions(+), 2 deletions(-)
 create mode 100644 debian/bookkie.txt
 create mode 100644 windows/mingw64/scripts/build_h3-pg.sh


hooks/post-receive
-- 
PostGIS Buildbots; Jenkins jobs and instructions for setting up winnie and debbie bots.


More information about the postgis-tickets mailing list